Summary: Terra Soft E17 Defaults
Name: enlightenment-tss-defaults
Version: 1.ydl5
Release: 3
License: TSS
Group: None
URL: http://www.terrasoftsolutions.com
Source0: tss-defaults.tar.gz
Source1: icons.tgz
Source2: applications.tar.gz
Patch0: tss-defaults.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: enlightenment
BuildArch: noarch

%description
Terra Soft E17 Defaults

%prep
%setup -q -n tss-defaults
cd .e/e/applications/menu/all/Applications/System\ Tools/System\ Config
%patch0 -p1
cp .order.orig .order
rm .order.orig

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/skel
rsync -a . $RPM_BUILD_ROOT/etc/skel

# Install icons
mkdir -p $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/
(cd $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/;tar xzvf %{SOURCE1})

# Install Applications menu
mkdir -p $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/other
cp -v %{SOURCE2} $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/other/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
/etc/skel/.e
/etc/skel/.gconf
/etc/skel/.gconfd
/etc/skel/.gnome
/etc/skel/.gnome2
/etc/skel/.nautilus
/usr/local/enlightenment/share/enlightenment/data/icons/*.png
/usr/local/enlightenment/share/enlightenment/data/other/applications.tar.gz


%changelog
* Tue Jun 12 2007 Amjad Syed <sdamjad@terrasoftsolutions.com>
- Changed e.cfg and rm .order.orig 

* Tue Nov 21 2006 Tim Renner <trenner@terrasoftsolutions.com> - tss-defaults
- Initial build.

